[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGetEditEvent

Specifies an event handler used to get edit values or masks in a grid.

## Declaration

Source position: grids.pas line 1391

`type TGetEditEvent = procedure(`
`Sender: TObject;`
`ACol: Integer;`
`ARow: Integer;`
`var Value: string`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`ACol` |  | Column number for the notification.
`ARow` |  | Row number for the notification.
`Value` |  | Value returned from the event handler.

## Description

TGetEditEvent is an object procedure type used for event handlers which get edit values or masks in a grid control. TGetEditEvent is the type used for the OnGetEditMask and OnGetEditText event handlers in TCustomDrawGrid.

## See also

TCustomDrawGrid.OnGetEditMask |  | Event handler signalled to get the edit mask used for a grid cell.
TCustomDrawGrid.OnGetEditText |  | Event handler signalled to get the value for a cell editor in the grid.